---
title: Neurobiologische Informationsverarbeitung
---

| | hormonal | nerval |
| -- | -- | -- |
| Informations Träger | chem. Substanz = Hormon | Potentialunterschied mit max 130 m/s, Leiter 2.Ordnung (Ionen) |
| Transport | Blut | in abgegrenzten Nervenbahnen |
| Einfluss | diffus, auf viele Empfänger gleichzeitig, Selektion durch Empfindlichkeit (broadcasting) | zu bestimmten genetisch bed. Empfängerzellen |
| Natur der Signale | sehr spezifisch, nur eine bestimmte Information wird vermittelt (Wachstumshormon) | unspezifisch, Spezialität entsteht durch Transport in def. Bahnen (Seh-/Hörbahn) |

# Rezeptoren (Sinneszellen)
Definition: Zelle, die zur Perzeption von Reizen und zur Weiterleitung der Reizinformation befähigt ist. Sie liefert Informationen über den physikalisch-chemischen Zustand der Umwelt.

Sinneszelle = Spezifiziert Nervenzelle
- primäre Sinneszelle (mit eigenem Axon)
- sekundäre Sinneszelle (ohne eigenes Axon)

# On/Off-Zentrum Nerven 

!TODO

# Def: Rezeptives Feld
Das rezeptive Feld ist eine Fläche mit Rezeptoren, die bei Reizung zur Reaktion eines Neurons führen => Erzeugung Generatorpotential

# Def: Adaption
Effekt der Verminderung der Rezeptorantwort bei konstantem Reiz
- tonische Verhalten: gleichbleibende AP-Frequenz bei konst. Reiz
- phasisches Verhalten: Starker Anstieg der AP-Frequenz bei Reizänderung
- tonische Rezeptoren: nicht gewöhnend (Schmerz, Kälte)
- phasische Rezeptoren: Tastsinn, Druckrezeptoren

# Geschmacksqualitäten
süß, salzig, sauer, bitter, !!!!!!umami!!!!!

# Neuron
kann Informationen leiten und verarbeiten (empfangen können auch andere)
- Dendriten: Hauptansatz für Synapsen, räumliche und Zeitliche Summation
    - räumlich: Ankommende Potentiale verschiedener Synapsen
    - zeitlich: Nacheinander ankommende Potentiale an einer Synapse
- Soma: Synapsen am Soma meist hemmend
- Axon: myelinisiert oder nicht-myelinisiert

# Synapsen
chemisch <=> elektrisch (= gap junctions)\
- elektrisch:
  - sehr schnell, z.B. Herzmuskelzellen
  - kleiner als chemisch
  - stammgeschichtlich älter
  - dienen auch anderem Stoffaustausch
- chemisch:
  - keine unmittelbare Weiterleitung des Aktionspotentials an einer Synapse (mehrere müssen gleichzeitig aktiv sein)
  - unidirektional
  - Verzögerung
  - Blockierbar durch chem. Substanzen

# Gliazellen
- Astrozyten (Makroglia): Regulierung der verschiedenen Substanzkonzentrationen (z.B. Transmitterkonzentration), Zwischenspeicher, Versorgung der Nervenzellen
- Oligodentrozyten (Makroglia): Bilden Myelin im Zentralnervensystem (in der peripherie schwammscher Zellen)
- Microglis:
  - wandeln sich nach Hirnverletzung zu Rekrophagen (Fresszellen) -> Abbau abgestorbener Bestandteile durch Produktion einer Mydroxilgruppe
  - Leitgewebe bei Hinentwicklung
  - Starke Verzweigung zur Überwachung


# Entstehung Membranpotential
Ruhepotential: ~70-90mV (Zellinneres negativ)\
1. Diffusionspotential - passiv
    - Im Ruhezustand Membran permeabel für K⁺
    - Gleichgewicht aus Konzentrationsgradient und Ladungsgradient

!TODO zeichnung


2. Ionenpumpen - aktiv
    - Na⁺ K⁺ Pumpen
    - 3Na⁺ aus der Zelle, 2K⁺ in die Zelle, jeweils gegen den Konzentrationsgrad, Verbrauch von 1 ATP zu ADP+P
    - Das Ruhepotential wird aktiv aufrechterhalten -> Life-Zero-System

# Potentialänderung
- Depolarisation: Verminderung des Aktionspotentials (positiver) (Erregung, Excitation)
- Hyperpolarisation: Erhöhung des Aktionspotetials (negativer) (Hemmung, Inhibition)

Bei Erregung steigt Permeabilität für Na+ an; E_{Na⁺} angestrebt => +55mV

# gradierte Potential Änderung
- depolarisierender Reiz erhöht Permeabilität für K⁺, Na⁺, Cl⁻ 
- Na+ größer Antrieb nach innen aber Ionenpumpen fordern Na⁺ nach außen, solange Schranke nicht überschritten

# nicht gradierte potential Änderung
- einige Membranstrukturen reagieren auf Reiz über der Schwelle mit nicht abgestelltem Potentialsprung => AP für 1ms
- Axome, Muskelfasern, Drüsen = konduktive Membran
- "Alles oder nichts"-Gesetz: Bei Überschreitung der Schwelle AP gleicher Form und Größe, Lawineneffekt des Einstroms von Na⁺, wird gebremst von Leitfähigkeitserhöhung von K⁺ (Ausstrom)

Bedingung für AP: g_Na⁺ > g_K⁺

# Adaption
Abnahme der Spikefrequenz bei konst. Repolarisation
- ZNS: sehr schnelle Adaption, oft nur ein AP
- Peripherie: mehrere AP

# Akkomodation
Ausbleiben eines AP bei sehr langsam ansteigender Depolarisation. Na⁺ Kanäle werden inaktiv bevor g_Na⁺ > g_K⁺

# Elektrotonische Weiterleitung
passiv, mit Dekrement
- Verlust abhängig von Wiederstand
  - Innen: 20-200 Ohm-cm
  - Außen: 1,5-3x geringer
  - Membran: 10¹⁰ Ohm-cm
- spezifischer Widerstand:              !TODO!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

- Membran verhält sich wie Kondensator => bei Ausbreitung des Potentials muss der Kondensator ungeladen werden -> Zeitkonstante $\tau = R_m * C_m$
- Dendriten (nur elektrotonische Ausbreitung, hohe Na+ Kanäle) werden zur Peripherie dünner, R_i steigt, \lambda sinkt
- Kabeltheorie nach Rall: Einteilung in Kompartimente mit gleichem \lambda

# Weiterleitung von APs
- konduktile Leitung ohne Dekrement
- An jeder Membranstelle neuer Erregungsvorgang mit alles oder nichts Prinzip
- Ausbreitung durch Refraktärzeit unidirektional von Reizort weg

Saltatorische Erregungsleitung: erleichterte Auslösung eines AP an den ranvierschen Schnürringen, Potential "springt" von Ring zu Ring => Raumeinsparung, Geschwindigkeitserhöhung

# Weiterleitung an Synapsen
- Na⁺ Kanäle unterliegen keiner Deaktivierung, solange aktiv wie Transmitter vorhanden ist
- Second Messenger Systeme: längerfristige Wirkung

## Ableitung
1. AP an Präsynapse
2. Ca²⁺ strömt in die Zelle -> Vesikel zu präsynaptischer Membran
3. Transmitterfreisetzung ~ AP-Folge
4. Diffusion durch den Spalt
5. Wirkung des Transmitters auf Rezeptor (Na⁺ Kanäle) der postsynaptischen Membran
6. Permeabilitätsänderung in der postsynaptischen Membran
    - Na⁺, K⁺: EPSP
    - K⁺, CL⁻: IPSP
7. Weiterleitung EPSP/IPSP über elektronische Leitung entlang Dendrit
8. Inaktivierung und Recykling des TP

# Beeinflussung von Synapsen
- Agomisten: gleiche Wirkung wie Transmitter, aber veränderte Eigenschaften (z.B. kein second-messenger Effekt)
- partielle Agomisten: Bindung an Rezeptor aber nur geringe Leitfähigkeitsänderung
- Antagomisten: Bindug an Rezeptor (Ionenkanal) ohne Leitfähigkeitsänderung

# Interaktion von Synapsen
- räumliche + zeitliche Integration
  - räumlich: EPSP/IPSP verschiedener Synapsen, die z.B. Dendritenbaum ansetzten werden an der postsynaptischen Membran addiert
  - zeitlich: die von einer oder mehreren Präsynapsen kurz nacheinander eingehenden Erregungen führen in der postsynaptischen Zelle zu EPSP/IPSP die addiert werden
- prä- und postsynaptische Hemmung
  - prä: Synapse: eig. aktiv -> wird gehemmt
  - hemmende Synapse ansonsten
- Bahnung: mehrere Synapsen an einem Dendriten; alle gleichzeitig aktiv, fehlt aber ein Dendrit => kein AP = Synapse bahnt Eingang der anderen

# Veränderung der Effektivität von Synapsen
- tetanische Potenzierung:
    - Aktivierung einer Präsynaptische mit Reizserien führt zu einem zunehmend vergrößertem EPSP (syn. Potenzierung), der auch nach längeren Reizserien über alle Enden hinaus festbestehen kann (posttetamische Pot.) (Kurzzeitgedächtnis)
- Langzeitpotenzierung:
    - Strukturelle Anpassung während des Lernens
    - Prozess besteht auf Wandlungsfähigkeit der Dornen: durch Formänderung, Ab-und Aufbau werden Verb. zu reaktives Axonen gelöst und zu aktiven Fasern hergestellt
- heterosynaptische Potenzierung
    - !TODO!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

# Neuronale Verschaltungsprinzipien
## Divergenz & Konvergenz
- Divergenz: Zur Überschreitung der Schwelle ist ein erregender Eingang nötig
- Konvergenz: Zur Überschreitung der Schwelle sind drei erregende Eingänge nötig
- Divergenz und Konvergenz: gleiche Struktur, Umschaltung zwischen D. und K. über Zentralnervöse Vorgänge

## Neuronale Erregungskreis
funktionierende Einheit von miteinander verbundenen Neuronen, die sich in ihrer Aktivität gegenseitig beeinflussen

## neuronale Hemmung
- Schutz vor Informationsüberflutung
- prä- und postsynaptische Hemmung
- Vorwärtshemmung !TODO
- Rückwärtshemmung !TODO
- Streuung !TODO
- laterale Inhibition: Verschaltungsprinzip von Neuronen, bei denm Freiverschaltete Neuronen benachbarte Neuronen hemmen => Kontrastverstärkung
    - TODO
    - Änderung der Hemmung mit zunehmendem Abstand von benachbarten Neuron -> rezeptive Felder

# Mexican Hat

!TODO zeichnung

Übertragungsfunktion: $g(i)=m_1 e^{\frac{-r²}{B_1²} } - m_2 e^{\frac{-r²}{B_2²}}$
r: Radius RF; m: max Amplitude; B: breite Gauß; $B_2=k*B_1$

| Pass | Beschreibung | Vorraussetzung |
| -- | -- | -- |
| Tiefpass | Grenzfrequenz umso höher je kleiner B¹ | $m_2=0$ $m_1\not=0$ $B_1\not=0$ | 
| Hochpass | Grenzfrequenz umso höher je kleiner B² | $m_2\not=0$ $B_1\rightarrow 0$ $B_2\not=0$ |
| Bandpass | Mittelwertunterdrückung, On-Zentrum | $K>1$, $m_1>m_2$, $m_1B_1 = m_2B_2$ |
| Bandpass | Off-Zentrum | $k>1$, §m_1< m_2$ |

$y_i=\sum_{j=1}^N K_{Sij}*x_j + \sum_{j=1}^N K_{Hij}*x_j$
$K_{Sij} \in [0,1]$ Streuung
$K_{Hij} \in [-1,1]$ Hemmung

# Neuronenmodelle
## Statische Modelle
### McCulloch & Pitts
$y=\sum_{j=1}^N \omega_j x_j -s = z$
kein Lernen, keine Erklärung für Fehlertoleranz

### statisches Neuronenmodell
$y=f(\sum_{j=1}^N \omega_jx_j -s) = f(z)$
Modellvereinfachung: Ratenmodell: Impulsfrequenz als analoge mittlere Feuerrate (keine Spikes)

## Dynamische Modelle
Approximation der Gewichtsfunktion als Alpha-Funktion, Trägheitsverhalten realisiert. 
Vereinfachung der Alphafunktion: Anstieg nicht wichtig, nur verzögerter Abfall eventuell mit Überlagerung
$g(i)=\frac{t*e}{t_{peak}} e^{\frac{-t}{t_{peak}}} \Rightarrow g(i)=\frac{1}{\tau}e^{\frac{-t}{\tau}}$

## Integrate & Fire Modelle
Eingänge werden summiert, mit Schwelle verglichen und bei Überschreiten wird Spike erzeugt
- Zeit zwischen Stimulus und 1. Spike von Interesse
- Phasenlage zwischen ............. und Hintergrund-Oszillation
- Korrelation/Synchronität: Spikes anderer Neuronen als Referenz

# Lernen und Gedächtnis
## phyletisches Gedächtnis
Artgedächtnis, angeborenes, primär sensorische und motorische Bereiche der Hirnrinde, in grober Verschaltung des stammgeschichtlich älteren Teils schon bei der Geburt als Essenz der wichtigsten Erfahrungen angelegt - Extrakt der Anpassungsleistung der Art

## individuelles Gedächtnis
Baut auf phyletischem Gedächtnis auf, Sitz im Assoziationscortex, evolutionär spätere, höhere Komplexität der Netzwerke, entwickelt sich während der ganzen Kindheit und auch noch bei Erwachsenen

## prozedurales Wissen
Erwerb von Verhaltensweisen "gewusst wie" sensomotorische Intelligenz

## deklaratives Wissen
Erwerb von Wissen "gewusst was" kognitive Intelligenz